EDIT - feature request #10050

Add missing functionality for MCL CDM dataportal
04/28/2022 02:04 PM - Andreas Mdller

Status: In Progress Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 10%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

Once the MCL migrated to CDM all functionality of the MCL dataportal should be implemented also in CDM dataportals.
Missing functionality is:
Simple Search:
e Ordering by MCL-Number
Advanced Search:
family filter
genus filter
author filter

advanced occurrence filter
(search for MCL Number)

However, from the MCL.mclLog table we can retrieve information which filters were really substantially used. So some of them may
not need to be implemented.

Additional issues:
¢ How to implement family filtered search for alternative names ("Compositae"/"Asteraceae")?
¢ Handling of des. inval.
e Ref List with all MCL IDs (including 239a, Vol. 2)
¢ How to handle current RefDetail.Notes like [in sched.], [n.v.], [serius], ["'matthewsii"]
Taxon pages:

e show MCL number (imported as Taxon.identifier) (#8840)

Maps:

¢ maybe-similarto-E+M-ifnetpessible-dontshew-maps => mapping works, still need to adapt map section

al => #10184

Related issues:
Related to EDIT - task #8840: Display identifiers in the dataportal New

Associated revisions

Revision 173ccb3f - 01/17/2023 12:26 AM - Andreas Miiller
ref #10049, ref #10050, ref #10184 add area geo service mapping for MCL

History

#3 - 05/05/2022 04:30 PM - Andreas Miiller
- Description updated
https://dev.e-taxonomy.eu/redmine/issues/8840

#4 - 05/05/2022 04:41 PM - Andreas Miller
- Description updated

#7 - 05/05/2022 08:06 PM - Andreas Miiller
- Description updated

#8 - 06/02/2022 07:43 PM - Andreas Miiller
- Description updated

#9 - 06/04/2022 10:55 AM - Andreas Miiller

- Description updated

#10 - 11/15/2022 03:52 PM - Andreas Miiller
- Tags set to MCL

- Description updated

- Status changed from New to In Progress

- % Done changed from 0 to 10

#12 - 11/15/2022 07:36 PM - Andreas Miiller
- Related to task #8840: Display identifiers in the dataportal added

#13 - 11/15/2022 07:38 PM - Andreas Miiller

- Description updated

#14 - 01/12/2023 03:20 PM - Andreas Miiller

- Description updated

#15 - 01/17/2023 12:25 AM - Andreas Muiller

- Description updated
